%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-jacc-1.5-api
Version:          1.0.2
Release:          %mkrel 3
Group:            Development/Java
Summary:          JACC 1.5 API (JSR-115)
License:          (CDDL or GPLv2 with exceptions) or LGPLv2+
URL:              https://github.com/jboss/jboss-jacc-api_spec
Source0:          https://github.com/jboss/jboss-jacc-api_spec/archive/jboss-jacc-api_1.5_spec-%{namedversion}.tar.gz

BuildRequires:    jboss-parent
BuildRequires:    jboss-servlet-3.1-api
BuildRequires:    junit
BuildRequires:    maven-local
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-plugin-bundle
BuildRequires:    maven-surefire-provider-junit

BuildArch:        noarch

Provides:         javax.security.jacc

%description
JSR-000115 Java Authorization Contract for Containers 1.5 API

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-jacc-api_spec-jboss-jacc-api_1.5_spec-%{namedversion}

%mvn_file :{jboss-jacc-api_1.5_spec} %{name} %{name}/%{name} javax.security.jacc/%{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%dir %{_javadir}/javax.security.jacc
%{_javadir}/%{name}.jar
%doc README LICENSE

%files javadoc -f .mfiles-javadoc
%doc README LICENSE



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.0.2-3.mga8
+ Revision: 1501784
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.0.2-2.mga7
+ Revision: 1278904
- Mageia 7 Mass Rebuild

* Tue Apr 03 2018 kekepower <kekepower> 1.0.2-1.mga7
+ Revision: 1214911
- Update to version 1.0.2

* Wed May 17 2017 neoclust <neoclust> 1.0.0-8.mga6
+ Revision: 1102676
- Add missing build-requires
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.0.0-6.mga6
+ Revision: 976433
- First rebuild of the java stack
- sync package jboss-jacc-1.5-api with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sat Dec 27 2014 pterjan <pterjan> 1.0.0-1.mga5
+ Revision: 806477
- Mageify
- imported package jboss-jacc-1.5-api


* Tue Jul 01 2014 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-3
- Drop junit4

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Apr 18 2014 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-1
- Upstream release 1.0.0.Final
- jboss-jacc-1.5-api: broken symlink, RHBZ#1079186

* Fri Dec 13 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.1.Beta1
- Initial packaging

